local wezterm = require('wezterm')
local config = wezterm.config_builder()

config.default_prog = {
  'powershell.exe', '-ExecutionPolicy', 'Bypass', '-NoLogo', '-NoExit'
}

config.font = wezterm.font('CaskaydiaCove Nerd Font Mono')
config.font_size = 9
config.harfbuzz_features = { 'calt=0', 'clig=0', 'liga=0' }

config.color_scheme = 'Tango (terminal.sexy)'
config.colors = {
  foreground = '#D3D7CF',
  cursor_fg = 'black',
  cursor_bg = 'white',
  cursor_border = 'white',
}

config.use_fancy_tab_bar = false
config.tab_max_width = 64
config.window_padding = {
  left = 0,
  right = 0,
  top = 0,
  bottom = 0,
}

config.keys = {
  {
    key = 'r',
    mods = 'CTRL|SHIFT',
    action = wezterm.action.PromptInputLine({
      description = 'Enter new name for tab',
      action = wezterm.action_callback(function(window, pane, line)
        if line then
          window:active_tab():set_title(line)
        end
      end),
    }),
  },
}

return config
